VERSION 5.00
Object = "{7AD30FBF-01AA-11D5-B32A-0050DADF6C37}#1.6#0"; "SQLStudioCV.ocx"
Begin VB.Form frmChooseTable 
   Caption         =   "Choose Table"
   ClientHeight    =   3960
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5685
   Icon            =   "frmChooseTable.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3960
   ScaleWidth      =   5685
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdOk 
      Caption         =   "&OK"
      Default         =   -1  'True
      Height          =   315
      Left            =   2160
      TabIndex        =   1
      Top             =   3240
      Width           =   1080
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   315
      Left            =   3360
      TabIndex        =   0
      Top             =   3240
      Width           =   1080
   End
   Begin SQLStudioCV.CatalogView ctlCM 
      Height          =   2685
      Left            =   0
      TabIndex        =   2
      Top             =   0
      Width           =   4245
      _ExtentX        =   7488
      _ExtentY        =   4736
   End
End
Attribute VB_Name = "frmChooseTable"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' --- GPL ---
'
' Copyright (C) 2000-2001 SAP AG
'
' This program is free software; you can redistribute it and/or
' modify it under the terms of the GNU General Public License
' as published by the Free Software Foundation; either version 2
' of the License, or (at your option) any later version.
'
' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.
'
' You should have received a copy of the GNU General Public License
' along with this program; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
'
' --- GPL ---

'
' Form:       SQLStudioQCon.frmChooseTable

Option Explicit


'=private variables================================================================
Private Const CHOOSETABLE = "ChooseTable"
Private Const MYREGKEY = WINDOWPLACEMENT + "\" + CHOOSETABLE

Private m_oGlobalInfo           As SQLStudioMan.globalInfo
Private m_CatalogObject         As Object

'--------------------------------------------------------
' Module Name
'--------------------------------------------------------
Const MODULE_NAME = "SQLStudioQCon.frmChooseTable"


'=========================================================================================
'    property:      Connection
'    description:   sets a sapdb connection object
'    arguments:     NewConnection, connection object
'
'    return value:  /
'
'=========================================================================================
Public Property Set connection(NewConnection As SQLStudioDBLayer.connection)
    On Error GoTo errP_SET_Connection

    Const FUNCTION_NAME = "P_Set connection"

    Set ctlCM.connection = NewConnection

    Exit Property

errP_SET_Connection:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Property
'=========================================================================================
'    property:      globalInfo
'    description:   sets a object of type globalInfo
'    arguments:     newGlobalInfo, a globalcom object
'
'    return value:  /
'
'=========================================================================================
Public Property Set globalInfo(aGlobalInfo As SQLStudioMan.globalInfo)
    On Error GoTo errP_SET_globalInfo

    Const FUNCTION_NAME = "P_SET globalInfo"
        
    Set ctlCM.globalInfo = aGlobalInfo
    Set m_oGlobalInfo = aGlobalInfo
    
    ctlCM.loadTableFilterList
    
    
    Exit Property
    
errP_SET_globalInfo:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Property


'=========================================================================================
'    function:      cmdCancel_Click
'    description:   the cancel button was pressed
'    arguments:     /
'
'    return value:  /
'
'=========================================================================================
Private Sub cmdCancel_Click()
    On Error GoTo errCmdCancel_Click
   
    Const FUNCTION_NAME = "cmdCancel_Click"
    
    Set m_CatalogObject = Nothing
    ctlCM.clearResults
    
    'get settings before dialog is invisible
    saveSettings
    
    Me.Hide
                
    Exit Sub
    
errCmdCancel_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub
'=========================================================================================
'    function:      ..._KeyDown
'    description:   Occurs when the user presses (KeyDown)  a key while an object has the focus.
'    arguments:     [in] KeyCode, a key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).
'                   [in] Shift, an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys at the time of the event.
'
'    return value:  /
'
'=========================================================================================
Private Sub cmdCancel_KeyDown(KeyCode As Integer, Shift As Integer)
    On Error GoTo errCmdCancel_KeyDown
   
    Const FUNCTION_NAME = "cmdCancel_KeyDown"
        
    If KeyCode = vbKeyEscape Then
    
        Unload Me
    End If
         
    Exit Sub
    
errCmdCancel_KeyDown:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

Private Sub cmdOk_Click()
    On Error GoTo errCmdOk_Click
   
    Const FUNCTION_NAME = "cmdOK_Click"
    
    Set m_CatalogObject = ctlCM.getSelectedCatalogObject
    
    ctlCM.clearResults
    'get settings before dialog is invisible
    saveSettings
    
    Me.Hide
                
    Exit Sub
    
errCmdOk_Click:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub
'=========================================================================================
'    function:      ..._KeyDown
'    description:   Occurs when the user presses (KeyDown)  a key while an object has the focus.
'    arguments:     [in] KeyCode, a key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).
'                   [in] Shift, an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys at the time of the event.
'
'    return value:  /
'
'=========================================================================================
Private Sub cmdOK_KeyDown(KeyCode As Integer, Shift As Integer)
    On Error GoTo errcmdOK_KeyDown
   
    Const FUNCTION_NAME = "cmdOK_KeyDown"
        
    If KeyCode = vbKeyEscape Then
    
        Unload Me
    End If
         
    Exit Sub
    
errcmdOK_KeyDown:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub


'=========================================================================================
'    function:      getSettings
'    description:   save some settings from  the dialog
'    arguments:     /
'
'    return value:  /
'
'=========================================================================================
Private Sub saveSettings()
    On Error GoTo errGetSettings
    
    Const FUNCTION_NAME = "getSettings"
    
    If Me.Visible Then
    
'        m_sLastOpenFolders = ctlCM.getNodeInfo
'        If Len(ctlCM.selectedSOFolder) > 0 Then
'            m_sLastSelectedFolder = ctlCM.selectedSOFolder
'        End If
        
        m_oComFunc.setWindowSettings Me, MYREGKEY, 0, 0, 0, 0
    End If
            
    Exit Sub
    
errGetSettings:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub
Public Function loadFolders()
    On Error GoTo errLoadFolders
    
    Const FUNCTION_NAME = "LoadFolders"
        
    ctlCM.loadCatalog _
               m_oGlobalInfo.conMan.UID, _
               m_oGlobalInfo.userProfile.tableFilter, _
               itemTables
    
    'set open nodes ...
    ctlCM.setNodeInfo m_oGlobalInfo.userProfile.expandedNodes, True
    m_oComFunc.getWindowSettings Me, MYREGKEY
                    
    Exit Function
    
errLoadFolders:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Function
'=========================================================================================
'    function:      resizeControls
'    description:   place all elements of control due to new size
'    arguments:     /
'
'    return value:  /
'
'=========================================================================================
Private Sub resizeControls()
    On Error GoTo errResizeControls

    Const FUNCTION_NAME = "ResizeControls"
    
    
    If ScaleHeight - cmdOk.Height * 2 < 0 Then Exit Sub
    
    ctlCM.Left = 5 * Screen.TwipsPerPixelX
    ctlCM.Width = ScaleWidth - 5 * Screen.TwipsPerPixelX
    ctlCM.Height = ScaleHeight - cmdOk.Height * 2
    If ctlCM.Width - 2 * cmdOk.Width < 0 Then Exit Sub
        
    cmdOk.top = ScaleHeight - cmdOk.Height - 5 * Screen.TwipsPerPixelY
    cmdCancel.top = cmdOk.top
    
    cmdCancel.Left = ScaleWidth - cmdCancel.Width - 5 * Screen.TwipsPerPixelX
    cmdOk.Left = cmdCancel.Left - cmdOk.Width - 5 * Screen.TwipsPerPixelX
    
        
    Exit Sub
    
errResizeControls:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub
Private Sub ctlCM_NodeDBlClick(sItemOwner As String, sItemName As String, sProperty As String, enumItemType As SQLStudioMan.cvItemType)
    On Error GoTo errctlCM_NodeDBlClick

    Const FUNCTION_NAME = "ctlCM_NodeDBlClick"
   
    cmdOk_Click
                       
    Exit Sub
    
errctlCM_NodeDBlClick:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub

'=========================================================================================
'    function:      Form_Load
'    description:   Occurs when a form is loaded.
'                   For a startup form, occurs when an application starts as
'                   the result of a Load statement or as the result of a
'                   reference to an unloaded form's properties or controls.
'
'    arguments:     /
'
'    return value:  /
'
'=========================================================================================
Private Sub Form_Load()
    On Error GoTo errForm_Load
   
    Const FUNCTION_NAME = "Form_Load"
   
    Set m_CatalogObject = Nothing
                       
    Exit Sub
    
errForm_Load:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub
'=========================================================================================
'    function:      ..._KeyDown
'    description:   Occurs when the user presses (KeyDown)  a key while an object has the focus.
'    arguments:     [in] KeyCode, a key code, such as vbKeyF1 (the F1 key) or vbKeyHome (the HOME key).
'                   [in] Shift, an integer that corresponds to the state of the SHIFT, CTRL, and ALT keys at the time of the event.
'
'    return value:  /
'
'=========================================================================================
Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    On Error GoTo errForm_KeyDown
   
    Const FUNCTION_NAME = "Form_KeyDown"
        
        
    If KeyCode = vbKeyEscape Then
    
        Unload Me
    End If
         
    Exit Sub
    
errForm_KeyDown:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub
'=========================================================================================
'    function:      ..._Resize
'    description:   Occurs when an object is first displayed or when the window state of an object changes.
'    arguments:     /
'
'    return value:  /
'
'=========================================================================================
Private Sub Form_Resize()
  On Error GoTo errForm_Resize

    Const FUNCTION_NAME = "Form_Resize"

    resizeControls

    Exit Sub

errForm_Resize:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub
'=========================================================================================
'    function:      ..._QueryUnload
'    description:   Occurs before a form or application closes.
'    arguments:     [out] cancel,  setting this argument to any value other than 0 stops the QueryUnload event in all loaded forms and stops the form and application from closing.
'                   [in] unloadmode,a value or constant indicating the cause of the QueryUnload event, as described in Return Values.
'                                   {vbFormControlMenu ,vbFormCode,vbAppWindows,vbAppTaskManager,vbFormMDIForm,vbFormOwner }
'
'    return value:  /
'
'=========================================================================================
Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
    On Error GoTo errForm_QueryUnload

    Const FUNCTION_NAME = "Form_QueryUnload"
    
    saveSettings
                
    Exit Sub
    
errForm_QueryUnload:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Sub
'=========================================================================================
'    function:      getCatalogObject
'    description:   get the selected catalogobject of the catalog view
'    arguments:
'
'    return value:  selected catalog object
'
'=========================================================================================
Public Function getCatalogObject() As Object
    On Error GoTo errGetCatalogObject

    Const FUNCTION_NAME = "getCatalogObject"
    
    'rc
    Set getCatalogObject = m_CatalogObject
                    
    Exit Function
    
errGetCatalogObject:
    internalError Err, MODULE_NAME, FUNCTION_NAME
End Function
